/*******************************************************************************
 * Testovací třída TestTestů sloužící k demonstraci základních vlastností testů.
 *
 * @author     Rudolf Pecinovský
 * @version    2.01, duben 2004
 */
public class TestTestů extends junit.framework.TestCase
{
    private int i1;
    private String s1;
    private Elipsa e;

//##############################################################################
//== PŘÍPRAVA A ÚKLID PŘÍPRAVKU ================================================

    /***************************************************************************
     * Vytvoření přípravku (fixture), tj. sady objektů, s nimiž budou všechny
     * testy pracovat a která se proto vytvoří před spuštěním každého testu.
     */
    protected void setUp()
    {
        System.out.println( "\n=== Příprava testu " + getName() );
        i1 = 1;
        s1 = "Jedna";
        e  = new Elipsa();
    }


    /***************************************************************************
     * Úklid po testu - tato metoda se spustí po vykonání každého testu.
     */
    protected void tearDown()
    {
        Plátno.smaž();
        System.out.println( "XXX Uklizeno po testu " + getName() );
    }


//== VLASTNÍ TESTY =============================================================

    public void testČísel()
    {
        System.out.println( "Čísla souhlasí" );
        assertEquals( "Neshoda celého čísla", 1, i1 );
        System.out.println( "Čísla nesouhlasí" );
        assertEquals( "Neshoda celého čísla", 0, i1 );
        System.out.println( "Konec testu čísel" );
    }

    public void testSouřadnic()
    {
        System.out.println( "Souřadnice souhlasí" );
        assertEquals( "Neshoda souřadnic", 0, e.getX() );
        System.out.println( "Souřadnice nesouhlasí" );
        assertEquals( "Objekty se liší", null, e );
        assertEquals( "Neshoda souřadnic", 1, e.getX() );
        System.out.println( "Konec testu souřadnic" );
    }

    public void testŘetězců()
    {
        System.out.println( "Řetězce souhlasí" );
        assertEquals( "Neshoda textů", "Jedna", s1 );
        System.out.println( "Řetězce souhlasí" );
        assertEquals( "Neshoda textů", "Dva", s1 );
        System.out.println( "Konec testu řetězců" );
    }

}

